package iitb.cfilt.cpost.dmstemmer;

import iitb.cfilt.cpost.lexicon.StemFeatures;

public class StemmedResult {
	String root;
	char clas;
	char gender;
	String suffix;
	String morphAnalysis;
	String category;
	
	StemmedResult(){
		this.root = "";
		this.clas = ' ';
		this.gender = ' ';
		this.suffix = "";
		this.morphAnalysis = "";
		this.category = "";
	}
	StemmedResult(String root){
		this.root = root;
		this.clas = ' ';
		this.gender = ' ';
		this.suffix = "";
		this.morphAnalysis = "";
		this.category = "";
	}
	StemmedResult(String root, char clas, char masculine){
		this.root = root;
		this.clas = clas;
		this.gender = masculine;
		this.suffix = "";
		this.morphAnalysis = "";
		this.category = "";
	}
	StemmedResult(String root, char clas, char masculine, String morphAnalysis){
		this.root = root;
		this.clas = clas;
		this.gender = masculine;
		this.suffix = "";
		this.morphAnalysis = morphAnalysis;
		this.category = "";
	}
	StemmedResult(String root, StemFeatures sf, String morphAnalysis){
		this.root = root;
		this.clas = sf.getClas();
		this.gender = sf.getGender();
		this.suffix = "";
		this.morphAnalysis = morphAnalysis;
		this.category = "";
	}
	/*StemmedResult(String root, StemFeatures sf, String morphAnalysis,String category){
		this.root = root;
		this.clas = sf.getClas();
		this.gender = sf.getGender();
		this.suffix = "";
		this.morphAnalysis = morphAnalysis;
		this.category = category;
	}*/	
	StemmedResult(String root, StemFeatures sf){
		this.root = root;
		this.clas = sf.getClas();
		this.gender = sf.getGender();
		this.suffix = "";
		this.morphAnalysis = "";
		this.category = "";
	}
	StemmedResult(String root, StemFeatures sf, String morphAnalysis,String suffix){
		this.root = root;
		this.clas = sf.getClas();
		this.gender = sf.getGender();
		this.suffix = suffix;
		this.morphAnalysis = morphAnalysis;
		this.category = "";
	}
	StemmedResult(String root, String suffix, StemFeatures sf){
		this.root = root;
		this.clas = sf.getClas();
		this.gender = sf.getGender();
		this.suffix = suffix;
		this.morphAnalysis = "";
		this.category = "";
	}
	
	StemmedResult(String root, StemFeatures sf, String morphAnalysis, String suffix, String category){
		this.root = root;
		this.clas = sf.getClas();
		this.gender = sf.getGender();
		this.suffix = suffix;
		this.morphAnalysis = morphAnalysis;
		this.category = category;
	}
	
	public void print(){
		System.out.println("[ Root : " + root + ", Category : " + category + ", Class : " + clas + ", Gender : " + gender + ", Suffix : " + suffix + ", Morph Analysis : " + morphAnalysis + " ]");
	}
	public char getClas() {
		return clas;
	}
	public void setClas(char clas) {
		this.clas = clas;
	}
	public char getGender() {
		return gender;
	}
	public void setGender(char masculine) {
		this.gender = masculine;
	}
	public String getMorphAnalysis() {
		return morphAnalysis;
	}
	public void setMorphAnalysis(String morphAnalysis) {
		this.morphAnalysis = morphAnalysis;
	}
	public String getRoot() {
		return root;
	}
	public void setRoot(String root) {
		this.root = root;
	}
	public String getSuffix() {
		return suffix;
	}
	public void setSuffix(String suffix) {
		this.suffix = suffix;
	}
	
}
